﻿@{
	ViewBag.Title = "UserProfileDetail";
	Layout = "~/Areas/Admin/Views/Shared/_adminlayout.cshtml";
}
<link href="~/Content/Site.css" rel="stylesheet" />
<style>
    /*.imgBind {
    height: 282px!important;
    width: 105%!important;
    margin-bottom: 5%!important;
}*/.imgBind {
    height: 277px!important;
    width: 113%!important;
    margin-bottom: 0%!important;
}

</style>
<section class="wrapper site-min-height">
    <ol class="arrows">
        <li>
            <i class="fa fa-user"></i>
            @if (ViewContext.RouteData.Values["action"].ToString() != "Index")
            {
                @Html.ActionLink("User", "User", "Dashboard")
            }
            <i class="fa fa-angle-right"></i>
        </li>
        <li>
            @if (ViewContext.RouteData.Values["action"].ToString() != "Index")
            {
                @Html.ActionLink("User Profile", "UserProfileDetail", "Dashboard")
            }
        </li>
    </ol>
    <h3 id="pageHeader">Profile View</h3>
    <hr>
    <div class="row">
        <div class="col-md-4 profile-pic">
            <p id="userName" class="user_name" style="margin-left: 0%!important;">abc</p>
            <img style="margin-top: 0px!important;" class="profileImage" id="userProfileImage" src="~/image/TagartIcon2.png" />
        </div>
        <div class="col-md-8 countHeader">
            <div id="favourites" class="countContent">
                <i id="icon_fav" class="fa fa-bookmark fa-3x"></i>
                <label id="count_fav">11</label>
                <p id="lbl_fav">Favourites</p>
            </div>
            <div id="uploads" class="countContent">
                <i id="icon_upload" class="fa fa-camera fa-3x"></i>
                <label id="count_upload">14</label>
                <p id="lbl_upload">Uploads</p>
            </div>
            <div id="visited" class="countContent">
                <i id="icon_visit" class="fa fa-trophy fa-3x"></i>
                <label id="count_visit">18</label>
                <p id="lbl_visit">Visited</p>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <div id="favouriteData" class="favouriteData">
                <h2>Favourites</h2>
                <div id="favArt">
                </div>
            </div>
            <div id="uploadData" class="uploadData">
                <h2>Uploads</h2>
                <div id="uploadedArt">
                </div>
            </div>
            <div id="visitedData" class="visitedData">
                <h2>Visited</h2>
                <div id="visitedArt">
                </div>
            </div>
        </div>
    </div>
</section>

<script>
	$(document).ready(function () {
		
		$("#favouriteData").show();
		$("#uploadData").hide();
		$("#visitedData").hide();
		$("#icon_fav").css("color", "#48BCB4");
		$("#count_fav").css("color", "#48BCB4");
		$("#lbl_fav").css("color", "#48BCB4");
		var id = localStorage.getItem("userId");
		getUserProfileData(id);

	});
	$("#favourites").on('click', function () {
		$("#favouriteData").show();
		$("#uploadData").hide();
		$("#visitedData").hide();
		$("#icon_fav").css("color", "#48BCB4");
		$("#count_fav").css("color", "#48BCB4");
		$("#lbl_fav").css("color", "#48BCB4");
		$("#icon_upload").css("color", "#797979");
		$("#count_upload").css("color", "#797979");
		$("#lbl_upload").css("color", "#797979");
		$("#icon_visit").css("color", "#797979");
		$("#count_visit").css("color", "#797979");
		$("#lbl_visit").css("color", "#797979");
	});
	$("#uploads").on('click', function () {
		$("#favouriteData").hide();
		$("#uploadData").show();
		$("#visitedData").hide();
		$("#icon_fav").css("color", "#797979");
		$("#count_fav").css("color", "#797979");
		$("#lbl_fav").css("color", "#797979");
		$("#icon_upload").css("color", "#48BCB4");
		$("#count_upload").css("color", "#48BCB4");
		$("#lbl_upload").css("color", "#48BCB4");
		$("#icon_visit").css("color", "#797979");
		$("#count_visit").css("color", "#797979");
		$("#lbl_visit").css("color", "#797979");
	});
	$("#visited").on('click', function () {
		$("#favouriteData").hide();
		$("#uploadData").hide();
		$("#visitedData").show();
		$("#icon_fav").css("color", "#797979");
		$("#count_fav").css("color", "#797979");
		$("#lbl_fav").css("color", "#797979");
		$("#icon_upload").css("color", "#797979");
		$("#count_upload").css("color", "#797979");
		$("#lbl_upload").css("color", "#797979");
		$("#icon_visit").css("color", "#48BCB4");
		$("#count_visit").css("color", "#48BCB4");
		$("#lbl_visit").css("color", "#48BCB4");
	});
	var imagespath = '@System.Configuration.ConfigurationManager.AppSettings["imagesPath"]';
	var TotalUpload;
	var BookmarkList;
	var VisitedList;
	var UserData;
	function getUserProfileData(id) {
		 
        $.ajax({
            type: "GET",
            dataType: 'json',
            url: '@Url.Action("UserProfileData", "Dashboard", new { area = "admin"})',
			data: { UserId:id},
			success: function (data1) {
				console.log(data1);
				TotalUpload = data1.model.AllUsrArtWork;
				BookmarkList = data1.model.AllUsrArtWorkBookMark;
				VisitedList = data1.model.AllUsrArtWorkVisited;
				UserData = data1.model.UserListModel;
				var img;
				if (UserData.usr_Image == null || UserData.usr_Image == "") {

					img = imagespath + '\\UserProfile\\user-image.png';
				} else {
					 img = imagespath + '\\UserProfile\\' + UserData.usr_Image;
				}

				$("#userProfileImage").attr("src", img);
				$("#userName").text(UserData.usr_FullName);
				$("#count_upload").text(TotalUpload.length);
				$("#count_fav").text(BookmarkList.length);
				$("#count_visit").text(VisitedList.length);
				$("#uploadedArt").empty();
				var html = "";
				if (TotalUpload.length == 0) {
					html = html + '<p>No Data Found</p>'
				} else {
					for (var i = 0; i < TotalUpload.length; i++) {
						html = html + '<div class="col-md-3">'
							+ '	<img src="' + imagespath + '\\thum_ArtWork_36\\' + TotalUpload[i].artw_image + '" class="imgBind" />'
							+ '</div>';
					}
				}
				$("#uploadedArt").append(html);

				$("#visitedArt").empty();
				var html = "";
				if (VisitedList.length == 0) {
					html = html + '<p>No Data Found</p>'
				} else {
					for (var i = 0; i < VisitedList.length; i++) {
						html = html + '<div class="col-md-3">'
							+ '	<img src="' + imagespath + '\\thum_ArtWork_36\\' + VisitedList[i].artw_image + '" class="imgBind" />'
							+ '</div>';

					}
				}
				$("#visitedArt").append(html);

				$("#favArt").empty();
				var html = "";
				if (BookmarkList.length == 0) {
					html = html + '<p>No Data Found</p>'
				} else {
					for (var i = 0; i < BookmarkList.length; i++) {
						html = html + '<div class="col-md-3">'
							+ '	<img src="' + imagespath + '\\thum_ArtWork_36\\' + BookmarkList[i].artw_image + '" class="imgBind" />'
							+ '</div>';
					}
				}
				$("#favArt").append(html);

			}

		});
		//localStorage.removeItem("userId");
	}
</script>